#import "SampleLaunchDashboardPagesController.h"

#import "OpenFeint/OFControllerLoader.h"
#import "OpenFeint/OFViewHelper.h"
#import "OpenFeint/OpenFeint.h"
#import "OpenFeint/OpenFeint+Dashboard.h"
#import "OpenFeint/OpenFeint+UserOptions.h"

@implementation SampleLaunchDashboardPagesController

- (void)viewWillAppear:(BOOL)animated
{
	[super viewWillAppear:animated];
	
	[OFUser setDelegate:self];
}

- (void)viewWillDisappear:(BOOL)animated 
{
	[OFUser setDelegate:nil];
	
	[super viewWillDisappear:animated];
}

- (void)viewDidLoad
{
	[super viewDidLoad];
	
	xTextFeild.closeKeyboardOnReturn = YES;
	yTextFeild.closeKeyboardOnReturn = YES;
	
	UIScrollView* scroll = OFViewHelper::findFirstScrollView(self.view);
	scroll.contentSize = OFViewHelper::sizeThatFitsTight(self.view);
}

- (void)dealloc
{
	[super dealloc];
}

- (IBAction) onLaunchLeaderboardPage
{
	[OpenFeint launchDashboardWithListLeaderboardsPage];
}

- (IBAction) onLaunchHighScorePage
{
	if(!xTextFeild.text || [xTextFeild.text isEqualToString:@""])
	{
		[[[[UIAlertView alloc]
		   initWithTitle:@"Invalid Params"
		   message:@"Required Params:\nX - Leaderboard Id"
		   delegate:nil
		   cancelButtonTitle:@"OK"
		   otherButtonTitles:nil] autorelease] show];
		return;
	}
	[OpenFeint launchDashboardWithHighscorePage:xTextFeild.text];
}

- (IBAction) onLaunchAchievementPage
{
	[OpenFeint launchDashboardWithAchievementsPage];
}

- (IBAction) onLaunchChallengePage
{
	[OpenFeint launchDashboardWithChallengesPage];
}

- (IBAction) onLaunchFindFriendsPage
{
	[OpenFeint launchDashboardWithFindFriendsPage];
}

- (IBAction) onLaunchWhosPlayingPage
{
	[OpenFeint launchDashboardWithWhosPlayingPage];
}

- (IBAction) onLaunchListGlobalChatRoomsPage
{
	[OpenFeint launchDashboardWithListGlobalChatRoomsPage];
}

- (IBAction) onLaunchiPurchasePage
{
	[OpenFeint launchDashboardWithiPurchasePage:[OpenFeint clientApplicationId]];
}

- (IBAction) onLaunchSwitchUserPage
{
	[OpenFeint launchDashboardWithSwitchUserPage];
}

- (IBAction) onLaunchForumsPage
{
	[OpenFeint launchDashboardWithForumsPage];
}

- (IBAction) onLaunchInvitePage
{
	[OpenFeint launchDashboardWithInvitePage];
}

- (IBAction) onLaunchSpecificInvitePage
{
	if(!xTextFeild.text || [xTextFeild.text isEqualToString:@""])
	{
		[[[[UIAlertView alloc]
		   initWithTitle:@"Invalid Params"
		   message:@"Required Params:\nX - Invite Def Id"
		   delegate:nil
		   cancelButtonTitle:@"OK"
		   otherButtonTitles:nil] autorelease] show];
		return;
	}
	[OpenFeint launchDashboardWithSpecificInvite:xTextFeild.text];
}

- (IBAction) onLaunchIMToUserPage
{
	if(!xTextFeild.text || [xTextFeild.text isEqualToString:@""] || !yTextFeild.text || [yTextFeild.text isEqualToString:@""])
	{
		[[[[UIAlertView alloc]
		   initWithTitle:@"Invalid Params"
		   message:@"Required Params:\nX - user id\nY - Initial IM"
		   delegate:nil
		   cancelButtonTitle:@"OK"
		   otherButtonTitles:nil] autorelease] show];
		return;
	}
	
	[OFUser getUser:xTextFeild.text];
}

- (void)didGetUser:(OFUser*)user
{
	if(user)
	{
		[OpenFeint launchDashboardWithIMToUser:user initialText:yTextFeild.text];
	}
}

- (void)didFailGetUser
{
	[[[[UIAlertView alloc]
	   initWithTitle:@"Invalid User"
	   message:@"The User could not be found, or the server was unreachable."
	   delegate:nil
	   cancelButtonTitle:@"OK"
	   otherButtonTitles:nil] autorelease] show];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	const unsigned int numOrientations = 4;
	UIInterfaceOrientation myOrientations[numOrientations] = { UIInterfaceOrientationPortrait, UIInterfaceOrientationPortraitUpsideDown, UIInterfaceOrientationLandscapeLeft, UIInterfaceOrientationLandscapeRight };
	return [OpenFeint shouldAutorotateToInterfaceOrientation:interfaceOrientation withSupportedOrientations:myOrientations andCount:numOrientations];
}

- (void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
	[OpenFeint setDashboardOrientation:toInterfaceOrientation];
	[super willRotateToInterfaceOrientation:toInterfaceOrientation duration:duration];
}

@end
